> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Charging Invoices

> Returns charging invoices for all vehicles.

For fleet accounts only.



## OpenAPI

````yaml get /charging_invoices
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /charging_invoices:
    parameters: []
    get:
      tags:
        - Vehicle Data
      summary: Get All Charging Invoices
      description: |-
        Returns charging invoices for all vehicles.

        For fleet accounts only.
      operationId: get-fleet-charging-invoices
      parameters:
        - $ref: '#/components/parameters/timezone'
        - $ref: '#/components/parameters/from'
        - $ref: '#/components/parameters/to'
        - schema:
            type: string
            example: 7SA3ASD6XPF123456
          in: query
          name: vin
          description: The associated VIN.
        - $ref: '#/components/parameters/format'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        started_at:
                          type: integer
                        ended_at:
                          type: integer
                        invoice_number:
                          type: string
                        vin:
                          type: string
                        location:
                          type: string
                        energy_used:
                          type: integer
                        idle_minutes:
                          type: integer
                        charging_fees:
                          type: number
                        idle_fees:
                          type: integer
                        total_cost:
                          type: number
                        cost_per_kwh:
                          type: number
                        currency:
                          type: string
                        invoice_url:
                          type: string
                x-examples:
                  Example 1:
                    results:
                      - id: 242345313
                        started_at: 1699829921
                        ended_at: 1699833374
                        invoice_number: 3000P0085545388
                        vin: 7SA3CBE6XPF123456
                        location: Yuma, AZ - South Fortuna Road
                        energy_used: 70
                        idle_minutes: 0
                        charging_fees: 24.5
                        idle_fees: 0
                        total_cost: 24.5
                        cost_per_kwh: 0.35
                        currency: USD
                        invoice_url: >-
                          https://tesla.com/teslaaccount/charging/invoice/f4d990ab-f32f-4965-8f61-6e7603714a41
                      - id: 242281757
                        started_at: 1699818910
                        ended_at: 1699821672
                        invoice_number: 3000P0085503265
                        vin: 7SA3CBE6XPF123456
                        location: Tempe, AZ
                        energy_used: 72
                        idle_minutes: 0
                        charging_fees: 18.72
                        idle_fees: 0
                        total_cost: 18.72
                        cost_per_kwh: 0.26
                        currency: USD
                        invoice_url: >-
                          https://tesla.com/teslaaccount/charging/invoice/ae422c93-7e86-43d3-a24f-58f0604a1b06
              examples:
                Example 1:
                  value:
                    results:
                      - id: 242345313
                        started_at: 1699829921
                        ended_at: 1699833374
                        invoice_number: 3000P0085545388
                        vin: 7SA3CBE6XPF123456
                        location: Yuma, AZ - South Fortuna Road
                        energy_used: 70
                        idle_minutes: 0
                        charging_fees: 24.5
                        idle_fees: 0
                        total_cost: 24.5
                        cost_per_kwh: 0.35
                        currency: USD
                        invoice_url: >-
                          https://tesla.com/teslaaccount/charging/invoice/f4d990ab-f32f-4965-8f61-6e7603714a41
                      - id: 242281757
                        started_at: 1699818910
                        ended_at: 1699821672
                        invoice_number: 3000P0085503265
                        vin: 7SA3CBE6XPF123456
                        location: Tempe, AZ
                        energy_used: 72
                        idle_minutes: 0
                        charging_fees: 18.72
                        idle_fees: 0
                        total_cost: 18.72
                        cost_per_kwh: 0.26
                        currency: USD
                        invoice_url: >-
                          https://tesla.com/teslaaccount/charging/invoice/ae422c93-7e86-43d3-a24f-58f0604a1b06
          description: Success
components:
  parameters:
    timezone:
      name: timezone
      in: query
      schema:
        type: string
        default: UTC
      description: The IANA timezone name.
    from:
      name: from
      description: The start of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747658888
    to:
      name: to
      description: The end of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747664858
    format:
      name: format
      in: query
      required: false
      schema:
        type: string
        enum:
          - json
          - csv
        default: json
      description: Whether to output the results in JSON or CSV.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````